## motv 3.72

=== Makefile ===

WORKDIR=$(shell basename `pwd`)
PACKAGE=$(shell echo $(WORKDIR) | sed 's/-.*//')
VERSION=$(shell echo $(WORKDIR) | sed 's/.*-//')


##########################################################
# normal devel builds

default: build lintian

build:
	rm -f .ok
	(time dpkg-buildpackage -nc -us -uc -rfakeroot && touch .ok) \
		2>&1 | tee build.log
	test -f .ok

lintian:
	lintian ../$(PACKAGE)_$(VERSION)*.changes

clean:
	fakeroot debian/rules clean
	rm -f build.log .ok


##########################################################
# build releases

release:
	dpkg-buildpackage -si -tc -rfakeroot

port:
	dpkg-buildpackage -B -tc -rfakeroot


##########################################################
# misc

source src: clean
	(cd ..; dpkg-source -b $(PACKAGE))

work unpack: clean
	debian/rules work

.PHONY: default build lintian clean release port
.PHONY: source src work unpack

=== cc/Makefile ===
# Generated automatically from Makefile.in by configure.

srcdir=.

include ../Make.config

CFLAGS=-g -g -O2 $(WARN_FLAGS) $(X11_FLAGS) -I..
LDLIBS=$(ATHENA_LIBS)

all build: ntsc-cc

ntsc-cc: ntsc-cc.o
	$(CC) $(CFLAGS) -o $@ ntsc-cc.o $(LDLIBS)

install: all
	$(INSTALL_DIR) $(bindir)
	$(INSTALL_DIR) $(mandir)
	$(INSTALL_PROGRAM) -s ntsc-cc $(bindir)
	$(INSTALL_DATA) $(srcdir)/ntsc-cc.man $(mandir)/man1/ntsc-cc.1

clean distclean realclean:
	-rm -f ntsc-cc ntsc-cc.o *~

depend dep:

=== i2c/Makefile ===
# Generated automatically from Makefile.in by configure.
srcdir=.

PROGS=detect eeprom #scan

CC=gcc
CFLAGS=-Wall

all: $(PROGS)

clean:
	rm -f $(PROGS)

distclean realclean: clean
	rm -f Makefile *~ *.bak

dep depend install:

=== oldstuff/vtx/Makefile ===

CC=gcc
CFLAGS=-Wall -g -O2 -I.

PROG=vtx2ascii

$(PROG): main.o fileio.o vtxtools.o vtxdecode.o
	$(CC) $(CFLAGS) -o $@ $^

clean:
	rm -f *.o *~

distclean: clean
	rm -f $(PROG)

=== debian/changelog ===
motv (3.72) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Tue, 19 Feb 2002 22:20:36 +0100

motv (3.70) unstable; urgency=low

  * new release (closes: #126560).
  * fixed some lintian errors+warnings.

 -- Gerd Knorr <kraxel@debian.org>  Tue,  5 Feb 2002 17:00:39 +0100

motv (3.64) unstable; urgency=low

  * new release (closes: #114671).

 -- Gerd Knorr <kraxel@debian.org>  Wed, 10 Oct 2001 13:30:29 +0200

motv (3.63) unstable; urgency=low

  * new release.
  * added libjpeg-dev to the build dependences.

 -- Gerd Knorr <kraxel@debian.org>  Mon,  8 Oct 2001 17:02:54 +0200

motv (3.60) unstable; urgency=low

  * new release.

 -- Gerd Knorr <kraxel@debian.org>  Tue, 14 Aug 2001 16:53:57 +0200

motv (3.58) unstable; urgency=low

  * Initial Release (closes: #106546).

 -- Gerd Knorr <kraxel@debian.org>  Mon, 23 Jul 2001 16:07:56 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xawtv
Section: graphics
Priority: extra
Build-Depends: libjpeg-dev, libncurses5-dev, xlibs-dev (>= 4.0.1), xaw3dg-dev, liblircclient-dev, debhelper, xutils, libquicktime4linux-dev, xbase-clients, aalib1-dev, libasound2-dev
Maintainer: Gerd Knorr <kraxel@debian.org>
Standards-Version: 3.5.2

Package: xawtv
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, v4l-conf, xutils, debconf, scantv, xawtv-plugins (=${Source-Version})
Description: X11 TV application
 TV application for X11.  Supports video4linux
 devices and the Xvideo extension.
 .
 For Xvideo support xawtv must be compiled with
 the XFree86 4.0+ client libraries installed.

Package: fbtv
Architecture: any
Depends: ${shlibs:Depends}, v4l-conf, xawtv-plugins (=${Source-Version})
Suggests: xawtv
Description: linux console (fbcon) TV application
 TV application for the linux console, requires a
 framebuffer device (vesafb, matroxfb, atyfb, ...)
 and a video4linux driver like bttv.

Package: ttv
Architecture: any
Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
Suggests: xawtv
Description: tty TV application
 TV application for terminals, based on aalib.
 Uses video4linux devices as video input.

Package: scantv
Architecture: any
Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
Replaces: xawtv (<< 3.53)
Description: scan TV channels for stations
 This utility can scan a channel set for TV stations
 and write the ones found into a xawtv config file
 (which is also read by some other utilities like fbtv).
 It also tries to extract the station names from vbi data.

Package: streamer
Architecture: any
Depends: ${shlibs:Depends}, xawtv-plugins (=${Source-Version})
Suggests: xawtv
Description: capture tool (images / movies)
 A tool to capture single/multiple images or
 record movies from a video4linux device.

Package: radio
Section: sound
Architecture: any
Depends: ${shlibs:Depends}
Description: ncurses-bases radio application
 This is a ncurses-based radio application.  It
 supports the video4linux API.

Package: v4l-conf
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Description: tool to configure video4linux drivers
 This is a small tool to configure a video4linux
 device driver.  It is required to make the video
 overlay work in fbtv and xawtv.

Package: xawtv-tools
Architecture: any
Depends: ${shlibs:Depends}
Description: Miscellaneous tools distributed with xawtv
 This package has a few tools you might find useful.  They
 have not to do very much to do with xawtv.  I've used/wrote
 them for debugging:
  * propwatch   - monitors properties of X11 windows.  If you
                  want to know how to keep track of xawtv's
                  _XAWTV_STATION property, look at this.
  * dump-mixers - dump mixer settings to stdout
  * record      - console sound recorder.  Has a simple input
                  level meter which might be useful to trouble
                  shoot sound problems.
  * showriff    - display the structure of RIFF files (avi, wav).

Package: xawtv-plugins
Architecture: any
Depends: ${shlibs:Depends}
Description: plugins for xawtv and motv
 a few image processing plugins.

Package: webcam
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ftp, xawtv-plugins (=${Source-Version})
Description: capture and upload images
 webcam captures images from a video4linux device like
 bttv, annotates them and and uploads them to a webserver
 using ftp in a endless loop.

Package: alevtd
Section: net
Architecture: any
Depends: ${shlibs:Depends}
Description: http daemon for videotext pages
 alevtd is http daemon which servers videotext pages as
 HTML.

=== debian/rules ===
#!/usr/bin/make -f

HERE := $(shell pwd)
WORK := $(HERE)/work
DEST := $(HERE)/debian/tmp
TARS := $(wildcard $(HERE)/dist/*.tar.gz)

# debhelper
#export DH_VERBOSE=1
export DH_COMPAT=2

build: work build-it

work:
	@mkdir -p work.tmp
	@(cd work.tmp; set -e;				\
		echo "###";				\
		for tar in $(TARS); do			\
			echo "### unpacking $$tar";	\
			tar xzf $$tar;			\
		done;					\
		echo "###")
	@mv work.tmp work

build-it: work
	dh_testdir
	cd $(WORK)/*; set -xe;				\
		./configure --prefix=/usr		\
			--mandir=/usr/share/man 	\
			|| { cat config.log; exit 1; };	\
		make depend;				\
		make
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf work work.tmp
	rm -f build-*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(WORK)/*; make DESTDIR=$(DEST) install

	dh_movefiles

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs		work/*/README*
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs -V
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
